Subject: Fwd: Issues, meta-issues and transparency - 2018 edition
From: Filipus Klutiero <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 10 Mar 2018 16:15:25 -0500

My first attempt to send the forwarded mail apparently did not go through - apologies if some of you already received what follows.

-------- Forwarded Message --------
Subject: 	Issues, meta-issues and transparency - 2018 edition
Date: 	Sat, 13 Jan 2018 11:10:48 -0500
From: 	Filipus Klutiero <[email-masked]>
To: 	[email-masked] <[email-masked]>

Happy 2018 everyone,
I have contributed to Mozilla for over a decade, but irregularly. In 2016, I realized a serious Gmail/Thunderbird problem. This caused me to largely increase my usage and contributions to Thunderbird for a few months. During this short period of time, during which my primary goal was not contribute to Mozilla, I witnessed several worrying issues in our products and processes. On 2016-10-08, I summarized these in 13 items and reported to Mozilla via 2 mailing lists: https://groups.google.com/forum/#!msg/mozilla.governance/exht-yFPni4/pOKm113jDQAJ

Unfortunately, months later, many if not all of these issues persist. An updated version of the list follows:
  1. I realized I had been triggering issue #651945 for years. This issue was reported in 2011 and presumably persists. Although Thunderbird could certainly solve it or reduce its impact, Mozilla may not be responsible or completely responsible for it.
  2. The colossal cleanup effort I undertook after that realization caused me to experience many more issues, which brought the number of issues I reported against Mozilla products [in 2016] from 1 to 9.
  3. Filing these tickets against Thunderbird exposed 2 meta-issues, which I also reported, against bugzilla.mozilla.org <http://bugzilla.mozilla.org>.
  4. From the 11 issues I filed as mentioned in items 2 and 3, 11 persist (to the best of my knowledge).
  5. 9 of these 11 persisting issues were marked as resolved.
      1. Two of these have been flagged "WONTFIX" (will not be resolved).
      2. The ticket in which I reported that bugs.mozilla.org <http://bugs.mozilla.org> allows tickets to be marked as both WONTFIX and resolved is one of the 9 tickets which were marked as resolved (and is still marked as invalid at this time).
      3. Three of these were marked as incomplete, when there was no request for any more information about these.
  6. My account on bugs.mozilla.org <http://bugs.mozilla.org> has been disabled by another contributor who has not provided a justification.
  7. I realized item 6 weeks after the incident happened, even after the contributor mentioned in item 5.3. I did not receive any mail informing me.
  8. I realized item 5.3 while redacting this mail. I have not received any notification alerting me that the tickets had been marked as resolved.
  9. The tickets mentioned in item 5.3 were closed by a single person who knew that my account had been disabled, in a period of 1 hour shortly after my account was disabled, months after the latest ticket had been filed. The person responsible went as far as claiming that "reporter is gone", and to apply the same magic to "fix" a fourth bug, filed years before.
10. There is no link to the contact point offered when a contributor's account is disabled.
11. I requested to solve item 6 and asked about item 10 in the [mail forwarded in my 2016 report]; [more than a year] later:
      1. Item 6 seems to persist.
      2. I received no answer to my question regarding item 10.
12. One comment on the issues mentioned in item 3 ( https://bugzilla.mozilla.org/show_bug.cgi?id=1288913#c6 <https://bugzilla.mozilla.org/show_bug.cgi?id=1288913#c6> ) was hidden, marked as advocacy, when I fail to see any part of that comment as advocacy.
13. 2 tickets from those mentioned in item 5 (#1245340 and #1285748) had commenting "restricted". Both restrictions ignore the usage guidelines for such restrictions, which were set out by 1 of their violators. Both of the affected tickets fail to explain how such an extraordinary measure could have been useful.
14. My report did not reach one of the lists it was most relevant to, [email-masked].
15. I have not received any explanation or even notification for issue 14.
16. More than a year after my report, *none* of the 13 first items was addressed to my knowledge.

The differences with the original version of this list are that points 14, 15 and 16 were added and point 11 was updated.

There were numerous replies to my report.
Several claimed that this wasn't on-topic for the governance mailing list. Tom Farrow suggested other forums, one of which had not been used.

My questions were:

> Are there measures designed to incite participants to solve issues? If so, was thought given to unintended perverse consequences which such measures could have?
> Where can mails sent to [email-masked] be found? What process do contributors go through before being allowed to disable BMO accounts?
> Otherwise, in general, what is in the plans to address the above issues?

Only the first of these questions was answered. Boris Zbarsky answered that there were no such measures.
There were no answers to the 3 last questions.

Svetlana Tkachenko sent several answers. Her last 2 answers were sent privately. Months ago, I invited Svetlana to resend her messages publically, but she has not done so yet. There are interesting elements in these replies, but I will not discuss these here as they were private replies. Note that I advocate radical transparency and will not discuss any non-confidential issue privately, even even they are minor.

I can however say that several (different) contributors, some far from being newcomers, have partially disputed item 5. More than 1 have argued that marking some issues as resolved even if they were not resolved was normal.

I thank those who answered, but this response is obviously far below the expectations from a project of Mozilla's size. Transparency is one of our policies: https://www.mozilla.org/en-US/about/policy/transparency/
I know that our products have progressed since my report. Quantum is a huge advancement and obviously required great efforts. But this does not excuse the failure to solve the above or even explain how the situation can be rectified, for a foundation managing a revenue of several hundreds of million USD-s.

We have released the most influential issue tracker engine, at least in the free software world. That these meta-issues affect us is highly ironical, but it appears that creating an issue tracker engine does not suffice to ensure proper issue tracking.

This situation is causing me to re-evaluate my involvement in the project. What solutions are planned to provide our issue tracking a minimal efficiency and transparency?

-- 
Filipus Klutiero
http://www.philippecloutier.com